package w83b.w83bManager;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;


import w83b.w83bBeans.W83bActasBean;
import w83b.w83bBeans.W83bColegiosBean;
import w83b.w83bBeans.W83bDocBean;


public interface W83bIActas {
	public java.util.List buscarActas(w83b.w83bBeans.W83bActasBean param) throws Exception;
	
	public String calcularNumActa(String actaEntrada,String anyoActa,String territorioActa)throws Exception;
	
	public java.lang.Integer contarActas(w83b.w83bBeans.W83bActasBean param) throws Exception;
	
	public java.util.HashMap buscarCambioEscrutinio(w83b.w83bBeans.W83bActasBean param) throws Exception;
	
	public java.util.HashMap buscarTipoConvenio(w83b.w83bBeans.W83bActasBean param) throws Exception;
	
	public java.util.List cargarCentroTrabajo(HashMap mapaResultado) throws Exception;
	
	public java.lang.String anyadirActas(w83b.w83bBeans.W83bActasBean param,String pantalla) throws Exception;
		
	public W83bColegiosBean cargarColegios() throws Exception;
	
	public java.util.List buscarPreavisos(w83b.w83bBeans.W83bActasBean param) throws Exception;
	
	public W83bActasBean detalleActas(W83bActasBean param) throws Exception;
	
	public java.util.HashMap buscarEscrutinio(w83b.w83bBeans.W83bActasBean param) throws Exception;
	
	public java.util.HashMap buscarDiferencia(w83b.w83bBeans.W83bActasBean param) throws Exception;
	
	public java.util.HashMap buscarListaDelegados(w83b.w83bBeans.W83bActasBean param) throws Exception;
	
	public java.util.List cargaTiposDocumentoActas(HashMap param) throws Exception;
	
	public W83bActasBean cargarListasActas(W83bActasBean param) throws Exception;
	
	public W83bDocBean descargarDocumentoActas(String param) throws Exception;
	
	public String edicionActas(W83bActasBean param) throws Exception;
	
	public W83bActasBean buscarActaNueva(w83b.w83bBeans.W83bActasBean param) throws Exception;
	
	public String borrarActas(List param) throws Exception;
	
	public String borrarActasSinIncidencias(List param) throws Exception;
	
	public String borrarActasLogica(List param) throws Exception;
	
	public List buscarListaSindicatos(w83b.w83bBeans.W83bActasBean param) throws Exception;
	
	public java.util.List buscarCentroTrabajo(w83b.w83bBeans.W83bCentroTrabajoBean param) throws Exception;
	
	public List buscarImpugnacionActas(w83b.w83bBeans.W83bActasBean param) throws Exception;
	
	public List buscarIncidenciasActas(w83b.w83bBeans.W83bActasBean param) throws Exception;
	
	public java.util.List validarIntervaloEleccionSindicalCtoTrabajo (java.util.HashMap param) throws Exception;
	
	public String buscarFechaCierre (java.util.HashMap param) throws Exception;
	
	public java.util.List buscarPreavisosdeCentroTrabajo (w83b.w83bBeans.W83bCentroTrabajoBean param) throws Exception;
	
	// david 17/07/2013 Comision Masiva INI
	public java.util.HashMap validarFechaActas(ArrayList listActa)throws Exception;
	
   /**
    * Actualiza la información de acuse de recibo de una comunicación de actas
    * @param listaComunicacionesAcuse List
    * @throws Exception the exception
    */
	public void  actualizarDatosAcusesComunicacionActas(ArrayList listaComunicacionesAcuse) throws Exception;
	
	
   /**
	* Actualiza la información de acuse de recibo de una comunicación  de requerimientos de mesa de acta
    * @param listaComunicacionesAcuse List
    * @throws Exception the exception
    */
	public void  actualizarDatosAcusesComunicacionActasRequMesa(ArrayList listaComunicacionesAcuse) throws Exception;
}
